> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adds records to the specified catalog

> The maximum number of records that can be added at a time is 5000



## OpenAPI

````yaml /openapi.json post /api/publicapi/v1/catalogs/{catalogId}/records
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/records:
    post:
      tags:
        - CatalogRecords
      summary: Adds records to the specified catalog
      description: The maximum number of records that can be added at a time is 5000
      operationId: AddRecords
      parameters:
        - name: catalogId
          in: path
          description: Catalog identifier. You can find it in the list of all catalogs.
          required: true
          schema:
            type: string
      requestBody:
        description: Records to add
        content:
          application/json-patch+json:
            schema:
              maxItems: 5000
              minItems: 1
              type: array
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
          application/json:
            schema:
              maxItems: 5000
              minItems: 1
              type: array
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
          text/json:
            schema:
              maxItems: 5000
              minItems: 1
              type: array
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
          application/*+json:
            schema:
              maxItems: 5000
              minItems: 1
              type: array
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
      responses:
        '200':
          description: >-
            Operation completed successfully. The details can be found in the
            response.
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult
        '400':
          description: Wrong number of records
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Catalog not found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel:
      required:
        - fields
        - id
      type: object
      properties:
        id:
          minLength: 1
          type: string
          description: Unique id of the record
        fields:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
            nullable: true
          description: Record fields
      additionalProperties: false
      description: Model representing a record in a catalog
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult:
      required:
        - errorRows
        - insertedRowCount
      type: object
      properties:
        insertedRowCount:
          type: integer
          description: Number of successfully inserted rows
          format: int32
        errorRows:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
            nullable: true
          description: List of the errors occurred
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````